<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.core.mapper.SettlementManageFactoryMapper">

    <resultMap type="SettlementManageFactory" id="SettlementManageFactoryResult">
        <result property="id" column="id"/>
        <result property="billId" column="bill_id"/>
        <result property="sourceType" column="source_type"/>
        <result property="orgId" column="org_id"/>
        <result property="beginTime" column="begin_time"/>
        <result property="endTime" column="end_time"/>
        <result property="title" column="title"/>
        <result property="totalTransactionAmount" column="total_transaction_amount"/>
        <result property="totalTransactionNum" column="total_transaction_num"/>
        <result property="factorySettlementAmount" column="factory_settlement_amount"/>
        <result property="materialAmount" column="material_amount"/>
        <result property="manageAmount" column="manage_amount"/>
        <result property="realIncomeAmount" column="real_income_amount"/>
        <result property="settlementStatus" column="settlement_status"/>
    </resultMap>

    <sql id="selectSettlementManageFactoryVo">
        select id, bill_id, source_type, org_id, begin_time, end_time, title, total_transaction_amount, total_transaction_num, factory_settlement_amount, material_amount, manage_amount, real_income_amount, settlement_status
        from settlement_manage_factory
    </sql>




</mapper>